cannot update labels in cluster-template

Bug #1638863 reported by Ricardo Rocha on 2016-11-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Magnum
Fix Released
Undecided
Spyros Trigazis
Magnum UI
Undecided
Shu Muto

Bug Description

magnum cluster-template-update kubernetes replace labels='flannel_backend=vxlan'
ERROR: A dict is required in field labels, not a unicode (HTTP 500) (Request-ID: req-8f8214d5-efbf-438a-b164-5802b55cd042)

Trying a dict instead:
magnum cluster-template-update kubernetes replace labels='{"flannel_backend": "vxlan"}'
ERROR: Invalid input for field/attribute value (HTTP 400) (Request-ID: req-3c4e1dd4-c3a1-4619-9931-ec78978228cf)

In the server logs:
2016-11-03 11:00:26.427 17357 DEBUG wsme.api [req-bac7fc17-a54c-4aaf-a588-21223f516801 svckey admin - - -] Client-side error: Invalid input for field/attribute value. Value: '{'flannel_backend': 'vxlan'}'. Wrong type. Expected '(<type 'unicode'>, <type 'int'>)', got '<type 'dict'>' format_exception /usr/lib/python2.7/site-packages/wsme/api.py:221

( only on DEBUG mode, wasn't properly logged as ERROR )

Changed in magnum:
assignee: nobody → feng.shengqin@zte.com.cn (feng-shengqin)
M V P Nitesh (m-nitesh) on 2017-08-22
Changed in magnum:
assignee: feng.shengqin@zte.com.cn (feng-shengqin) → M V P Nitesh (m-nitesh)

Fix proposed to branch: master
Review: https://review.openstack.org/496129

Changed in magnum:
status: New → In Progress
Changed in magnum:
assignee: M V P Nitesh (m-nitesh) → Spyros Trigazis (strigazi)
Changed in magnum:
assignee: Spyros Trigazis (strigazi) → M V P Nitesh (m-nitesh)
Changed in magnum:
assignee: M V P Nitesh (m-nitesh) → Spyros Trigazis (strigazi)
Changed in magnum:
assignee: Spyros Trigazis (strigazi) → Daniel Abad (vabada)
Changed in magnum:
assignee: Daniel Abad (vabada) → Spyros Trigazis (strigazi)

Reviewed: https://review.openstack.org/496129
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=21c87f35a0910963ac525dca829e98fe9f9a73f8
Submitter: Zuul
Branch: master

commit 21c87f35a0910963ac525dca829e98fe9f9a73f8
Author: M V P Nitesh <email address hidden>
Date: Tue Aug 22 12:38:06 2017 +0530

    Now user can update label values in cluster-template

    In Magnum Labels are stored in the form of dictionary. previously we
    are passing string value directly to store the value of label. Now we
    are parsing it and storing it in the form of dictionary.

    Change-Id: I4d64da78dc4ed4d5599533b54861b65bce609c28
    Closes-Bug: #1638863

Changed in magnum:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/545770
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=15c0adfba8d895c7dc94d7cc575fa16de2ac3e8e
Submitter: Zuul
Branch: stable/queens

commit 15c0adfba8d895c7dc94d7cc575fa16de2ac3e8e
Author: M V P Nitesh <email address hidden>
Date: Tue Aug 22 12:38:06 2017 +0530

    Now user can update label values in cluster-template

    In Magnum Labels are stored in the form of dictionary. previously we
    are passing string value directly to store the value of label. Now we
    are parsing it and storing it in the form of dictionary.

    Change-Id: I4d64da78dc4ed4d5599533b54861b65bce609c28
    Closes-Bug: #1638863
    (cherry picked from commit 21c87f35a0910963ac525dca829e98fe9f9a73f8)

tags: added: in-stable-queens

This issue was fixed in the openstack/magnum 6.1.0 release.

Shu Muto (shu-mutou) on 2018-04-04
Changed in magnum-ui:
assignee: nobody → Shu Muto (shu-mutou)

Fix proposed to branch: master
Review: https://review.openstack.org/558693

Changed in magnum-ui:
status: New → In Progress

Reviewed: https://review.openstack.org/558693
Committed: https://git.openstack.org/cgit/openstack/magnum-ui/commit/?id=49a16f3ea079ae86b1609a95347b8b76190721ef
Submitter: Zuul
Branch: master

commit 49a16f3ea079ae86b1609a95347b8b76190721ef
Author: Shu Muto <email address hidden>
Date: Thu Dec 14 13:43:28 2017 +0900

    Enable to update Lables for cluster template

    This patch enables to update Labels for cluster template.
    This patch should be cherry-picked into stable/queens.

    Change-Id: Ie1bfcca8e7a8fd848972d082effff24b21ea3795
    Closes-Bug: #1638863

Changed in magnum-ui:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558696
Committed: https://git.openstack.org/cgit/openstack/magnum-ui/commit/?id=53f5ab43e1697a1d2deeee3b4715cf56b010348b
Submitter: Zuul
Branch: stable/queens

commit 53f5ab43e1697a1d2deeee3b4715cf56b010348b
Author: Shu Muto <email address hidden>
Date: Thu Dec 14 13:43:28 2017 +0900

    Enable to update Lables for cluster template

    This patch enables to update Labels for cluster template.
    This patch should be cherry-picked into stable/queens.

    Change-Id: Ie1bfcca8e7a8fd848972d082effff24b21ea3795
    Closes-Bug: #1638863

This issue was fixed in the openstack/magnum 7.0.0 release.

This issue was fixed in the openstack/magnum-ui 5.0.0 release.

This issue was fixed in the openstack/magnum-ui 4.0.1 release.

Change abandoned by Feilong Wang (<email address hidden>) on branch: stable/pike
Review: https://review.openstack.org/603973

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers